#include<stdio.h>
#include<math.h>
int main ()
{
	long long int v,i,nc=0,j,br,d[3]={5,2,1};
	scanf ("%d",&v);
	for (i=18;i>=0;i--)
	{
		for(j=0;j<3;j++)
		{
		br=d[j]*pow(10,i);
		nc+=v/br;
	  	v=v%br;
	  	}
	}
	printf ("%ld",nc);
	return 0;
}